Package io.vertx.reactivex.json.schema

## Class Validator

- java.lang.Object
- - io.vertx.reactivex.json.schema.Validator

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class Validator
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A validator, validates some input object using a well known schema.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<Validator>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Validator​(Validator delegate)` |
    `Validator​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Validator` | `create​(JsonSchema schema, JsonSchemaOptions options)` | Creates a new validator with some initial schema and options.
    `static Validator` | `create​(JsonSchema schema, JsonSchemaOptions options, JsonFormatValidator jsonFormatValidator)` | Creates a new validator with some initial schema, options and a custom JSON format validator.
    `boolean` | `equals​(Object o)` |
    `Validator` | `getDelegate()` |
    `int` | `hashCode()` |
    `static Validator` | `newInstance​(Validator arg)` |
    `String` | `toString()` |
    `OutputUnit` | `validate​(Object instance)` | Validate a given input against the initial schema.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Validator> __TYPE_ARG

  - ### Constructor Detail

    - #### Validator

          public Validator​(Validator delegate)

    - #### Validator

          public Validator​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Validator getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public static Validator create​(JsonSchema schema,
                                         JsonSchemaOptions options)

      Creates a new validator with some initial schema and options.

      When validation is to be reused, it is recommended to create a `SchemaRepository` instance and use the `SchemaRepository.validator(io.vertx.reactivex.json.schema.JsonSchema)`} method. The use of a `String` key allows avoiding re-parsing and fast lookups.

      Parameters:
        `schema` - the initial schema
        `options` - the validator options
      Returns:
        a validator instance

    - #### create

          public static Validator create​(JsonSchema schema,
                                         JsonSchemaOptions options,
                                         JsonFormatValidator jsonFormatValidator)

      Creates a new validator with some initial schema, options and a custom JSON format validator. When validation is to be reused, it is recommended to create a `SchemaRepository` instance and use the `SchemaRepository.validator(io.vertx.reactivex.json.schema.JsonSchema)`} method. The use of a `String` key allows avoiding re-parsing and fast lookups.
      Parameters:
        `schema` - the initial schema
        `options` - the validator options
        `jsonFormatValidator` - the custom JSON format validator
      Returns:
        a validator instance

    - #### validate

          public OutputUnit validate​(Object instance)

      Validate a given input against the initial schema.
      Parameters:
        `instance` - instance to validate
      Returns:
        returns a output unit object as defined by the options

    - #### newInstance

          public static Validator newInstance​(Validator arg)